Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils.regex
Class BMPattern

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.regex.BMPattern

public class BMPattern
extends java.lang.Object

Boyer-Moore searcher.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`BMPattern(java.lang.String pat, boolean ignoreCase)`
`BMPattern(java.lang.String pat, int tableSize, boolean ignoreCase)`

Method Summary
`int` | `matches(char[] chars, int start, int limit)`
`int` | `matches(java.text.CharacterIterator iterator, int start, int limit)`
`int` | `matches(java.lang.String str, int start, int limit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BMPattern

    public BMPattern(java.lang.String pat,
                     boolean ignoreCase)

### BMPattern

    public BMPattern(java.lang.String pat,
                     int tableSize,
                     boolean ignoreCase)

Method Detail

### matches

    public int matches(java.text.CharacterIterator iterator,
                       int start,
                       int limit)

  Returns:
    -1 if iterator does not contain this pattern.

### matches

    public int matches(java.lang.String str,
                       int start,
                       int limit)

  Returns:
    -1 if str does not contain this pattern.

### matches

    public int matches(char[] chars,
                       int start,
                       int limit)

  Returns:
    -1 if chars does not contain this pattern.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD